import { reactive, readonly, computed } from "vue";
import { g as globalCollapseStorageInjectionKey } from "../../../keys-CsqIkltC.mjs";
const collapsePlugin = {
  install(app) {
    const values = reactive({});
    const fun = ({ id, value, toggle }) => {
      values[id] = computed(() => ({ value: value.value, toggle }));
      return {
        unregister() {
          delete values[id];
        }
      };
    };
    fun.map = readonly(values);
    app.provide(globalCollapseStorageInjectionKey, fun);
  }
};
export {
  collapsePlugin
};
//# sourceMappingURL=index.mjs.map
